### Enumeration

# Qmi NasNetworkScanType

since: 1.0

#### Declaration

    flags Qmi.NasNetworkScanType

#### Description [src]

Flags to use when specifying which networks to scan.

Available since: 1.0

#### Members

`QMI_NAS_NETWORK_SCAN_TYPE_GSM`

  GSM network.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_NETWORK_SCAN_TYPE_UMTS`

  UMTS network.

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_NETWORK_SCAN_TYPE_LTE`

  LTE network.

  - Value: `4`
  - Available since: 1.0
`QMI_NAS_NETWORK_SCAN_TYPE_TD_SCDMA`

  TD-SCDMA network.

  - Value: `8`
  - Available since: 1.0
`QMI_NAS_NETWORK_SCAN_TYPE_5GNR`

  5G NR network. Since 1.38.

  - Value: `16`
  - Available since: 1.0

#### Type functions

###### qmi_nas_network_scan_type_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiNasNetworkScanType` in `mask`.

since: 1.0